org.eclipse.viatra.query.runtime.localsearch.plan

## Class SearchPlan

- java.lang.Object
- - org.eclipse.viatra.query.runtime.localsearch.plan.SearchPlan

-     public class SearchPlan
      extends java.lang.Object

  A SearchPlan stores a collection of SearchPlanOperations for a fixed order of variables.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SearchPlan(PBody body, java.util.List<ISearchOperation> operations, TupleMask parameterMask, java.util.Map<PVariable,java.lang.Integer> variableMapping)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getOperationIndex(ISearchOperation operation)` Returns the index of a given operation in the plan
    `java.util.List<ISearchOperation>` | `getOperations()` Returns an immutable list of operations stored in the plan.
    `TupleMask` | `getParameterMask()`
    `PBody` | `getSourceBody()`
    `java.util.Map<java.lang.Integer,PVariable>` | `getVariableMapping()` Returns an immutable map of variable mappings for the plan
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SearchPlan

          public SearchPlan(PBody body,
                            java.util.List<ISearchOperation> operations,
                            TupleMask parameterMask,
                            java.util.Map<PVariable,java.lang.Integer> variableMapping)

      Since:
        2.0

  - ### Method Detail

    - #### getOperations

          public java.util.List<ISearchOperation> getOperations()

      Returns an immutable list of operations stored in the plan.
      Returns:
        the operations

    - #### getVariableMapping

          public java.util.Map<java.lang.Integer,PVariable> getVariableMapping()

      Returns an immutable map of variable mappings for the plan
      Since:
        2.0

    - #### getOperationIndex

          public int getOperationIndex(ISearchOperation operation)

      Returns the index of a given operation in the plan
      Since:
        2.0

    - #### getParameterMask

          public TupleMask getParameterMask()

      Since:
        2.0

    - #### getSourceBody

          public PBody getSourceBody()

      Since:
        2.0

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`